summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-10-16 21:26:12 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-10-16 21:26:12 -0500
commit6899efdffa4fac665b5e6aa296809d12bb5718d5 (patch)
tree38d04b0e9aefd9250ffa4995123aac5f51e7d71f /libraries
parent8f55c06459d65f4b33c98ba846c25ac3e975006e (diff)
downloadslackbuilds-6899efdffa4fac665b5e6aa296809d12bb5718d5.tar.gz
slackbuilds-6899efdffa4fac665b5e6aa296809d12bb5718d5.tar.xz
libraries/daq: Added (Data Acquisition libary)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/daq/README2
-rw-r--r--libraries/daq/daq.SlackBuild83
-rw-r--r--libraries/daq/daq.info10
-rw-r--r--libraries/daq/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/libraries/daq/README b/libraries/daq/README
new file mode 100644
index 0000000000..47df4b6767
--- /dev/null
+++ b/libraries/daq/README
@@ -0,0 +1,2 @@
+The DAQ (Data Acquisition libary) supports many different packet
+access methods including libpcap, netfilterq, IPFW, and afpacket.
diff --git a/libraries/daq/daq.SlackBuild b/libraries/daq/daq.SlackBuild
new file mode 100644
index 0000000000..c8dc7b6aa1
--- /dev/null
+++ b/libraries/daq/daq.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for daq
+# Data Acquisition library
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/10/06
+
+PRGNAM=daq
+VERSION=${VERSION:-0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/daq/daq.info b/libraries/daq/daq.info
new file mode 100644
index 0000000000..ae329c63d3
--- /dev/null
+++ b/libraries/daq/daq.info
@@ -0,0 +1,10 @@
+PRGNAM="daq"
+VERSION="0.2"
+HOMEPAGE="http://www.snort.org/"
+DOWNLOAD="http://www.nielshorn.net/_download/slackware/source/daq-0.2.tar.gz"
+MD5SUM="67c8120f788c453dd37979ee108f1939"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/daq/slack-desc b/libraries/daq/slack-desc
new file mode 100644
index 0000000000..43aa99c4af
--- /dev/null
+++ b/libraries/daq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+daq: daq (Data Acquisition libary)
+daq:
+daq: DAQ supports many different packet access methods including libpcap,
+daq: netfilterq, IPFW, and afpacket.
+daq:
+daq: Homepage: http://www.snort.org/
+daq:
+daq:
+daq:
+daq:
+daq: